petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDualSpaceSetType

Builds a particular PetscDualSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetType(PetscDualSpace sp, PetscDualSpaceType name)

Collective on PetscDualSpace

### Input Parameters

| sp | - The PetscDualSpace object
| name | - The kind of space

### Options Database Key

-petscdualspace_type <type> -Sets the PetscDualSpace type; use -help for a list of available types

### Keywords

PetscDualSpace, set, type

### See Also

PetscDualSpaceGetType(), PetscDualSpaceCreate()

Level:intermediate
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages